This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 603781 - gtk_file_system_model_sort:assertion failed: (r == n_visible_rows)
gtk_file_system_model_sort:assertion failed: (r == n_visible_rows)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
abrt_hash:5b40504a8111815c1177431add3...
:
: 596307 598283 607367 608604 611037 613508 615803 618948 627632 649032 652769 657665 659430 660062 660112 661296 661752 663446 664803 666306 666423 666731 668262 670034 670103 670604 672094 672901 674157 675569 680078 688220 688598 689240 689997 690492 692151 693440 694535 695014 697280 697296 700270 701358 701564 703890 704688 709132 711010 714789 717620 722467 723209 731520 830532 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 11:07 EDT by Thomas Vaccarino
Modified: 2012-08-08 12:54 EDT (History)
65 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:10:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (23.42 KB, text/plain)
2010-06-14 11:08 EDT, Thomas Vaccarino
no flags Details
File: backtrace (58.79 KB, text/plain)
2012-03-31 16:27 EDT, Richard Russon
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 615576 None None None Never

  None (edit)
Description Thomas Vaccarino 2010-06-14 11:07:57 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/system-config-firewall
comment: It crashed on it's own.
component: system-config-firewall
crash_function: raise
executable: /usr/bin/python
global_uuid: 5b40504a8111815c1177431add345f9cc33fc63e
kernel: 2.6.33.5-112.fc13.x86_64
package: system-config-firewall-1.2.25-1.fc13
rating: 4
reason: Process /usr/bin/python was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. It just crashed
2.
3.
Comment 1 Thomas Vaccarino 2010-06-14 11:08:02 EDT
Created attachment 423864 [details]
File: backtrace
Comment 2 Thomas Woerner 2010-06-14 12:04:12 EDT
This is not a system-config-firewall problem.

Reassigning to python.
Comment 3 Dave Malcolm 2010-06-30 16:14:03 EDT
Thank you for reporting this bug.

How reproducible is this problem?  If you run the program from a terminal, is an error message printed?

What is the output of running the following command?
  rpm -q gtk2 pygtk2 

Looking at the backtrace, it looks like the problem occurred in thread #1 in gtk_file_system_model_sort:
with this assertion failing:
    message=0x33c22a0 "assertion failed: (r == n_visible_rows)

Reassigning component from "python" to "gtk2";  hopefully the gtk2 maintainer will be able to figure this out further or reassign as necessary.
Comment 4 Dave Malcolm 2010-06-30 18:34:57 EDT
*** Bug 598283 has been marked as a duplicate of this bug. ***
Comment 5 David Tardon 2010-07-12 01:20:59 EDT
*** Bug 611037 has been marked as a duplicate of this bug. ***
Comment 6 David Tardon 2010-07-12 01:21:39 EDT
*** Bug 613508 has been marked as a duplicate of this bug. ***
Comment 7 David Tardon 2010-07-12 01:24:00 EDT
dtardon->jackonweb: can you reproduce the crash?
Comment 8 Thomas Woerner 2010-07-19 05:14:27 EDT
*** Bug 615803 has been marked as a duplicate of this bug. ***
Comment 9 Thomas Woerner 2010-07-28 03:44:02 EDT
*** Bug 618948 has been marked as a duplicate of this bug. ***
Comment 10 Caolan McNamara 2010-08-26 11:05:15 EDT
*** Bug 627632 has been marked as a duplicate of this bug. ***
Comment 11 Michael Schwendt 2010-11-03 05:01:15 EDT
*** Bug 649032 has been marked as a duplicate of this bug. ***
Comment 12 Michael Schwendt 2010-11-12 14:01:53 EST
*** Bug 652769 has been marked as a duplicate of this bug. ***
Comment 13 David Tardon 2010-12-07 00:42:59 EST
*** Bug 657665 has been marked as a duplicate of this bug. ***
Comment 14 David Tardon 2010-12-07 00:43:40 EST
*** Bug 659430 has been marked as a duplicate of this bug. ***
Comment 15 David Tardon 2010-12-07 00:44:30 EST
*** Bug 660062 has been marked as a duplicate of this bug. ***
Comment 16 David Tardon 2010-12-07 00:45:13 EST
*** Bug 660112 has been marked as a duplicate of this bug. ***
Comment 17 David Tardon 2010-12-10 00:10:56 EST
*** Bug 661296 has been marked as a duplicate of this bug. ***
Comment 18 jackonweb 2010-12-10 17:31:44 EST
Package: firefox-3.6.12-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.download & save pdf file
2.
3.
Comment 19 Michael Schwendt 2010-12-30 03:13:32 EST
*** Bug 666306 has been marked as a duplicate of this bug. ***
Comment 20 David Tardon 2011-01-03 03:20:45 EST
*** Bug 666731 has been marked as a duplicate of this bug. ***
Comment 21 David Tardon 2011-01-03 03:21:17 EST
*** Bug 661752 has been marked as a duplicate of this bug. ***
Comment 22 David Tardon 2011-01-03 03:21:56 EST
*** Bug 663446 has been marked as a duplicate of this bug. ***
Comment 23 David Tardon 2011-01-03 03:22:25 EST
*** Bug 664803 has been marked as a duplicate of this bug. ***
Comment 24 David Tardon 2011-01-03 03:22:56 EST
*** Bug 666423 has been marked as a duplicate of this bug. ***
Comment 25 Jeff Raber 2011-01-08 23:08:36 EST
Package: soundconverter-1.5.3-7.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open sound converter
2. Add multiple .WMA files
3. Press Convert.


Comment
-----
The crash is related to the 'Delete Original' option.  With that option checked, the program consistently crashes after converting the first file.  I have not seen this crash with that option unchecked.
Comment 26 Erik Winands 2011-01-09 10:15:43 EST
Package: thunderbird-3.1.7-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Downloaded new add-on with add-on browse screen open.
2.
3.
Comment 27 nspmangalore 2011-01-21 02:59:32 EST
Package: thunderbird-3.1.7-2.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Delayed choosing options in the import menu
2.
3.
Comment 28 Lofton Alley 2011-01-29 03:50:26 EST
Package: soundconverter-1.5.3-7.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Using Sound Converter to convert .wma files  (4 of them)
2. in the middle of the conversion crash.
3.rerun sound converter crash again.


Comment
-----
Using SC to convert a folder full of .flac files was no trouble (did that first)  perhaps it is a bad file???
Comment 29 Tim Waugh 2011-02-07 04:41:58 EST
Package: evolution-2.32.1-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.I had Evolution open but was not using it at the time it crashed.
Comment 30 Caolan McNamara 2011-03-28 08:16:05 EDT
As per mails on gtk-devel-list alex checked in some fixes for these upstream now.
Comment 31 Caolan McNamara 2011-04-12 09:47:43 EDT
*** Bug 694535 has been marked as a duplicate of this bug. ***
Comment 32 Caolan McNamara 2011-04-12 09:48:01 EDT
*** Bug 596307 has been marked as a duplicate of this bug. ***
Comment 33 Caolan McNamara 2011-04-17 15:53:03 EDT
*** Bug 697280 has been marked as a duplicate of this bug. ***
Comment 34 Bug Zapper 2011-06-02 06:54:02 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 35 Michael Schwendt 2011-06-06 05:54:08 EDT
*** Bug 711010 has been marked as a duplicate of this bug. ***
Comment 36 Michael Schwendt 2011-06-06 05:56:43 EDT
*** Bug 672901 has been marked as a duplicate of this bug. ***
Comment 37 Michael Schwendt 2011-06-06 05:57:42 EDT
*** Bug 680078 has been marked as a duplicate of this bug. ***
Comment 38 Michael Schwendt 2011-06-06 05:58:24 EDT
*** Bug 688220 has been marked as a duplicate of this bug. ***
Comment 39 Michael Schwendt 2011-06-06 05:58:42 EDT
*** Bug 697296 has been marked as a duplicate of this bug. ***
Comment 40 Michael Schwendt 2011-06-06 05:58:56 EDT
*** Bug 703890 has been marked as a duplicate of this bug. ***
Comment 41 Michael Schwendt 2011-06-06 05:59:19 EDT
*** Bug 709132 has been marked as a duplicate of this bug. ***
Comment 42 Michael Schwendt 2011-06-06 06:06:05 EDT
*** Bug 690492 has been marked as a duplicate of this bug. ***
Comment 43 Michael Schwendt 2011-06-06 06:13:07 EDT
*** Bug 672094 has been marked as a duplicate of this bug. ***
Comment 44 Michael Schwendt 2011-06-06 06:13:12 EDT
*** Bug 688598 has been marked as a duplicate of this bug. ***
Comment 45 Michael Schwendt 2011-06-06 06:13:16 EDT
*** Bug 689240 has been marked as a duplicate of this bug. ***
Comment 46 Michael Schwendt 2011-06-06 06:13:25 EDT
*** Bug 700270 has been marked as a duplicate of this bug. ***
Comment 47 Michael Schwendt 2011-06-06 06:13:29 EDT
*** Bug 701358 has been marked as a duplicate of this bug. ***
Comment 48 Michael Schwendt 2011-06-06 06:13:34 EDT
*** Bug 701564 has been marked as a duplicate of this bug. ***
Comment 49 Michael Schwendt 2011-06-06 06:13:37 EDT
*** Bug 674157 has been marked as a duplicate of this bug. ***
Comment 50 Michael Schwendt 2011-06-06 06:13:42 EDT
*** Bug 675569 has been marked as a duplicate of this bug. ***
Comment 51 Michael Schwendt 2011-06-06 06:13:46 EDT
*** Bug 693440 has been marked as a duplicate of this bug. ***
Comment 52 Michael Schwendt 2011-06-06 06:13:50 EDT
*** Bug 704688 has been marked as a duplicate of this bug. ***
Comment 53 Michael Schwendt 2011-06-06 06:13:54 EDT
*** Bug 689997 has been marked as a duplicate of this bug. ***
Comment 54 Michael Schwendt 2011-06-06 06:14:05 EDT
*** Bug 692151 has been marked as a duplicate of this bug. ***
Comment 55 Michael Schwendt 2011-06-06 06:14:07 EDT
*** Bug 607367 has been marked as a duplicate of this bug. ***
Comment 56 Michael Schwendt 2011-06-06 06:14:11 EDT
*** Bug 608604 has been marked as a duplicate of this bug. ***
Comment 57 Michael Schwendt 2011-06-06 06:14:16 EDT
*** Bug 668262 has been marked as a duplicate of this bug. ***
Comment 58 Michael Schwendt 2011-06-06 06:14:20 EDT
*** Bug 670034 has been marked as a duplicate of this bug. ***
Comment 59 Michael Schwendt 2011-06-06 06:14:24 EDT
*** Bug 670103 has been marked as a duplicate of this bug. ***
Comment 60 Michael Schwendt 2011-06-06 06:14:28 EDT
*** Bug 670604 has been marked as a duplicate of this bug. ***
Comment 61 Michael Schwendt 2011-06-06 06:14:37 EDT
*** Bug 695014 has been marked as a duplicate of this bug. ***
Comment 62 Michael Schwendt 2011-07-15 10:11:36 EDT
*** Bug 722467 has been marked as a duplicate of this bug. ***
Comment 63 Dominic Hopf 2011-10-28 17:38:18 EDT
*** Bug 717620 has been marked as a duplicate of this bug. ***
Comment 64 Michael Cronenworth 2011-10-28 17:44:16 EDT
I have a sneaky suspicion that the upstream bug[1] needs to be reopened.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=615576
Comment 65 Michael Cronenworth 2011-11-28 13:17:36 EST
After upgrading to F16 I can no longer reproduce this bug.
Comment 66 Michael Cronenworth 2011-11-28 13:25:30 EST
*** Bug 714789 has been marked as a duplicate of this bug. ***
Comment 67 Calum 2011-11-28 18:52:25 EST
*** Bug 723209 has been marked as a duplicate of this bug. ***
Comment 68 Michael Schwendt 2011-12-02 14:35:20 EST
*** Bug 731520 has been marked as a duplicate of this bug. ***
Comment 69 Richard Russon 2012-03-31 16:27:43 EDT
Downloading a torrent.
GUI just crashed.  I wasn't even using it.
Server part was fine.


backtrace_rating: 4
Package: deluge-gtk-1.3.3-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 70 Richard Russon 2012-03-31 16:27:58 EDT
Created attachment 574232 [details]
File: backtrace
Comment 71 David Tardon 2012-06-11 07:33:10 EDT
*** Bug 830532 has been marked as a duplicate of this bug. ***
Comment 72 Fedora End Of Life 2012-08-07 16:10:42 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.